%inc "C:\Documents and Settings\haab.1\my documents\Tim\Marfin\fusion26093_5_randnormal.sas";
libname marfin 'C:\Documents and Settings\haab.1\my documents\Tim\Marfin\';


data mu; set marfin.cl_group; where _TYPE_='PARMS';
keep tcfee snapper grouper redsnapper lognsite;
run;

data vc; set marfin.cl_group; where _TYPE_='COV';
keep tcfee snapper grouper redsnapper lognsite;
run;


proc iml;
LOAD RANDNORMAL;
call randseed(1);
N=5000;

use mu;
read all into mean;

use vc;
read all into cov;

print mean, cov;

x = RANDNORMAL(N,Mean,Cov);

cname = {"b1" "b2" "b3" "b4" "b5" };
  create marfin.wtp_kr_grup_cl from x [ colname=cname ];
  append from x;

quit;

data ci; set marfin.wtp_kr_grup_cl;
wtpsnap=b2/-b1;
wtpgroup=b3/-b1;
wtpred=b4/-b1;
keep wtpsnap wtpgroup wtpred;
run;

proc univariate data=ci;
var wtpsnap wtpgroup wtpred;
output out=percentiles1 pctlpts=2.5 97.5 pctlpre=wtpsnap wtpgroup wtpred;
run;
proc print data=percentiles1;
run;

