%inc "C:\Documents and Settings\haab.1\my documents\Tim\Marfin\fusion26093_5_randnormal.sas";
libname marfin 'C:\Documents and Settings\haab.1\my documents\Tim\Marfin\';


data mu; set marfin.cl_mac; where _TYPE_='PARMS';
keep tc small king spanish lognsite;
run;

data vc; set marfin.cl_mac; where _TYPE_='COV';
keep tc small king spanish lognsite;
run;


proc iml;
LOAD RANDNORMAL;
call randseed(1);
N=5000;

use mu;
read all into mean;

use vc;
read all into cov;

print mean, cov;

x = RANDNORMAL(N,Mean,Cov);

cname = {"b1" "b2" "b3" "b4" "b5" };
  create marfin.wtp_kr_mac_cl from x [ colname=cname ];
  append from x;

quit;

data ci; set marfin.wtp_kr_mac_cl;
wtpsmall=b2/-b1;
wtpking=b3/-b1;
wtpspanish=b4/-b1;
keep wtpsmall wtpking wtpspanish;
run;

proc univariate data=ci;
var wtpsmall wtpking wtpspanish;
output out=percentiles1 pctlpts=2.5 97.5 pctlpre=wtpsmall wtpking wtpspanish;
run;
proc print data=percentiles1;
run;

